Devices
List hotspots for the organization
Role: Organization Manager
Scope: organization_read, hotspots_read
id of the organization (aka tenant)
Filter hotspots with date bigger than. Format YYYY-MM-DD
Filter hotspots with date lower than. Format YYYY-MM-DD
Filter by name
Filter by hotspot macaddress
Filter by hotspot identifier
Filter by venueId
Filter by deleted properties. Default deleted=false
Array with the hotspots
OK
date time of response
Error
GET /v3/hotspots/organizations/{cid} HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"status": "text",
"generated": "text",
"count": 1,
"hotspots": [
{
"id": "text",
"name": "text",
"description": "text",
"firmware": "text",
"vendor": "text",
"hotspotIdentifier": "text",
"date": "text",
"macAddress": "text",
"venueId": "text",
"country": "text",
"city": "text",
"address": "text",
"latitude": 1,
"longitude": 1,
"deleted": true
}
]
}Get Access Point by Id
Role: Organization Manager
Scope: organization_read, hotspots_read
Hotspot id
Hotspot
OK
date time of response
Error
GET /v3/hotspots/{hotspotId} HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"status": "text",
"generated": "text",
"hotspot": {
"id": "text",
"name": "text",
"description": "text",
"firmware": "text",
"vendor": "text",
"hotspotIdentifier": "text",
"date": "text",
"macAddress": "text",
"venueId": "text",
"country": "text",
"city": "text",
"address": "text",
"latitude": 1,
"longitude": 1,
"deleted": true
}
}Get an Access Point by hotspot identifier
Role: Organization Manager
Scope: organization_read, hotspots_read
Hotspot identifier as configured in the dashboard
Hotspot
OK
date time of response
Error
GET /v3/hotspots/identifier/{hotspotIdentifier} HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"status": "text",
"generated": "text",
"hotspot": {
"id": "text",
"name": "text",
"description": "text",
"firmware": "text",
"vendor": "text",
"hotspotIdentifier": "text",
"date": "text",
"macAddress": "text",
"venueId": "text",
"country": "text",
"city": "text",
"address": "text",
"latitude": 1,
"longitude": 1,
"deleted": true
}
}Create a new hotspot
Note:
Depending on the routerType, the fields macAddress, hotspotIdentifier, and ssid may be required, optional, or not allowed. Please refer to the documentation for further information.
Role: Organization Manager
Scope: hotspots_write, organization_write
use according with routerType
use according with routerType
Use address, city, country, zip and state from location
country code as ISO 3166-1 alpha-2. Required if addressAsLocation is false
Required if addressAsLocation is false
Required if addressAsLocation is false
Required if addressAsLocation is false
Required if addressAsLocation is false
Response
POST /v3/hotspots HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 305
{
"organizationId": "text",
"venueId": "text",
"name": "text",
"description": "text",
"routerType": "Aerohive Networks, Inc.",
"macAddress": "text",
"hotspotIdentifier": "text",
"ssid": "text",
"addressAsLocation": true,
"country": "text",
"address": "text",
"city": "text",
"state": "text",
"zip": "text",
"latitude": 1,
"longitude": 1
}Response
{
"generated": "text",
"status": "text",
"locationId": "text",
"hotspotId": "text"
}Update an hotspot.
Note:
The properties venueId, routerType, macAddress, hotspotIdentifier, and ssid are not allowed.
Role: Organization Manager
Scope: hotspots_write, organization_write
Hotspot id
country code as ISO 3166-1 alpha-2. Required if addressAsLocation is false
Required if addressAsLocation is false
Required if addressAsLocation is false
Required if addressAsLocation is false
Required if addressAsLocation is false
Response
PUT /v3/hotspots/{hotspotId} HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 154
{
"name": "text",
"description": "text",
"country": "text",
"address": "text",
"city": "text",
"state": "text",
"zip": "text",
"latitude": 1,
"longitude": 1,
"enabled": true
}Response
{
"generated": "text",
"status": "text",
"locationId": "text",
"hotspotId": "text"
}Delete an hotspot
Role: Organization Manager
Scope: hotspots_write, organization_write
Hotspot id
Response
DELETE /v3/hotspots/{hotspotId} HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Response
{
"generated": "text",
"status": "text"
}Last updated
Was this helpful?